Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class KeyGenAlgorithm

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.Algorithm
            |
            +--org.mozilla.jss.crypto.KeyGenAlgorithm

Direct Known Subclasses:
  PBEAlgorithm

public class KeyGenAlgorithm
extends Algorithm

Algorithms that can be used for generating symmetric keys.

Field Summary
`static KeyGenAlgorithm` | `DES`
`static KeyGenAlgorithm` | `DES3`
`private static java.util.Hashtable` | `oidMap`
`static KeyGenAlgorithm` | `PBA_SHA1_HMAC`
`private static OBJECT_IDENTIFIER` | `PKCS12_PBE`
`private static OBJECT_IDENTIFIER` | `PKCS5`
`static KeyGenAlgorithm` | `RC4`
`private int` | `validStrength`

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`ANSI_X9_ALGORITHM, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, name, oid, oidIndex, parameterClass, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1`

Constructor Summary
`protected` | `KeyGenAlgorithm(int oidTag, java.lang.String name, int validStrength, OBJECT_IDENTIFIER oid, java.lang.Class paramClass)`

Method Summary
`static KeyGenAlgorithm` | `fromOID(OBJECT_IDENTIFIER oid)`
`boolean` | `isValidStrength(int strength)` Returns `true` if the given strength is valid for this key generation algorithm.

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`getParameterClass, toOID, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### PKCS5

    private static final OBJECT_IDENTIFIER PKCS5

### PKCS12_PBE

    private static final OBJECT_IDENTIFIER PKCS12_PBE

### oidMap

    private static java.util.Hashtable oidMap

### validStrength

    private int validStrength

### DES

    public static final KeyGenAlgorithm DES

### DES3

    public static final KeyGenAlgorithm DES3

### RC4

    public static final KeyGenAlgorithm RC4

### PBA_SHA1_HMAC

    public static final KeyGenAlgorithm PBA_SHA1_HMAC

Constructor Detail

### KeyGenAlgorithm

    protected KeyGenAlgorithm(int oidTag,
                              java.lang.String name,
                              int validStrength,
                              OBJECT_IDENTIFIER oid,
                              java.lang.Class paramClass)

Method Detail

### fromOID

    public static KeyGenAlgorithm fromOID(OBJECT_IDENTIFIER oid)
                                   throws java.security.NoSuchAlgorithmException

### isValidStrength

    public boolean isValidStrength(int strength)

  Returns `true` if the given strength is valid for this key generation algorithm. Note that PBE algorithms require PBEParameterSpecs rather than strengths. It is the responsibility of the caller to verify this.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD